Package org.kie.api.management

## Interface KieContainerMonitorMXBean

-     public interface KieContainerMonitorMXBean

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static GAV` | `CLASSPATH_KIECONTAINER_RELEASEID` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GAV` | `getConfiguredReleaseId()` | The RelaseId configured while creating the KieContainer.
    `String` | `getConfiguredReleaseIdStr()` | The RelaseId configured while creating the KieContainer.
    `String` | `getContainerId()` |
    `GAV` | `getResolvedReleaseId()` | The actual resolved ReleaseId.
    `String` | `getResolvedReleaseIdStr()` | The actual resolved ReleaseId.

- - ### Field Detail

    - #### CLASSPATH_KIECONTAINER_RELEASEID

          static final GAV CLASSPATH_KIECONTAINER_RELEASEID

  - ### Method Detail

    - #### getContainerId

          String getContainerId()

    - #### getConfiguredReleaseId

          GAV getConfiguredReleaseId()

      The RelaseId configured while creating the KieContainer.

      If the KieContainer has been created from Classpath instead, the hardcoded value `CLASSPATH_KIECONTAINER_RELEASEID` will be returned.
      Returns:

    - #### getConfiguredReleaseIdStr

          String getConfiguredReleaseIdStr()

      The RelaseId configured while creating the KieContainer.

      If the KieContainer has been created from Classpath instead, the hardcoded value `CLASSPATH_KIECONTAINER_RELEASEID` will be returned.
      Returns:

    - #### getResolvedReleaseId

          GAV getResolvedReleaseId()

      The actual resolved ReleaseId.

      If the KieContainer has been created from Classpath instead, the hardcoded value `CLASSPATH_KIECONTAINER_RELEASEID` will be returned.
      Returns:

    - #### getResolvedReleaseIdStr

          String getResolvedReleaseIdStr()

      The actual resolved ReleaseId.

      If the KieContainer has been created from Classpath instead, the hardcoded value `CLASSPATH_KIECONTAINER_RELEASEID` will be returned.
      Returns: